import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a domain configuration.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iot-domainconfiguration.html">the AWS Docs</a>
*/
export function domainConfiguration(domainConfigurationProps = {}) {
    return new AwsResource('AWS::IoT::DomainConfiguration', domainConfigurationProps, { DomainType: 'DomainType', ServerCertificates: 'ServerCertificates', Arn: 'Arn' });
}
